package com.school.project.dto.student;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.school.project.model.Course;
import jdk.jfr.DataAmount;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;
import java.util.Set;

@Data
@EqualsAndHashCode(exclude = "courseList")
@ToString(exclude = "courseList")
public class StudentCoursesDTO {

    private String studentName;
    private String studentRollNumber;
    private Set<Course> courseList;
}
