package com.school.project.model.marks;

import com.sun.istack.NotNull;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Getter
@Setter
@Entity
@Table(name = "assessment_type")
public class AssessmentType {

    public enum types {
        ASSIGNMENT,
        QUIZ,
        MIDTERM,
        FINAL,
        PROJECT,
        PRESENTATION,
        REPORT,
        PARTICIPATION,
        LABWORK,
        LABTASK

    }
    @Id
    @Column(name = "assessment_type_id")
    private Long assessmentTypeId;

    @Column(name = "assessment_type_name")
    @NotNull
    private String assessmentTypeName;
}
