package com.school.project.repository;

import com.school.project.model.Student;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface StudentRepository extends JpaRepository<Student, Long> {

     Student findByStudentId(Long id);

     Student findByStudentName(String name);

     Student findByRollNumber(String rollNumber);
}
