package com.school.project.repository;

import com.school.project.model.Teacher;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface TeacherRepository extends JpaRepository<Teacher,Long> {

     Teacher findOneByTeacherId(Long id);

     @Query(value = "SELECT * FROM teacher WHERE teacher_num= ?1",nativeQuery = true)
     Teacher findByTeacherNumber(String number);
}
