package com.school.project.service.department;

import com.school.project.dto.department.DepartmentRegisterDTO;
import com.school.project.model.Department;
import com.school.project.repository.DepartmentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DepartmentServiceImp implements DepartmentService {
    @Autowired(required = true)
    private DepartmentRepository departmentRepository;

    @Override
    public String saveDepartment(DepartmentRegisterDTO department) {

        Department newDepartment = new Department();

        newDepartment.setName(department.getName());

        departmentRepository.save(newDepartment);

        return "Department Saved";
    }

   /* @Override
    public List<DepartmentRegisterDTO> readDepartment() {
        return departmentMapper.departmentListModelToDTO(departmentRepository.findAll());

    }

    @Override
    public DepartmentRegisterDTO readDepartmentById(Long departmentId) {
        return departmentMapper.departmentModelToDTO(departmentRepository.findById(departmentId).get());
    }

    @Override
    public DepartmentRegisterDTO updateDepartment(DepartmentRegisterDTO departmentDTO, Long departmentId) {
        DepartmentRegisterDTO dto = readDepartmentById(departmentId);

        dto.setName(departmentDTO.getName());

        saveDepartment(dto);

        return departmentMapper.departmentModelToDTO(departmentRepository.findById(departmentId).get());
    }

    @Override
    public void deleteDepartmentById(Long departmentId) {
        departmentRepository.deleteById(departmentId);
    }

    @Override
    public DepartmentRegisterDTO findDepartmentByName(String departmentName) {

        return departmentMapper.departmentModelToDTO(departmentRepository.findByName(departmentName));
    }
*/
}
