package com.school.project.mapper;

import com.school.project.dto.student.StudentCoursesDTO;
import com.school.project.model.Student;
import org.springframework.stereotype.Component;

@Component
public class StudentCoursesMapper {

    public StudentCoursesDTO modelToDto(Student student) {
        StudentCoursesDTO coursesDTO = new StudentCoursesDTO();

        coursesDTO.setStudentName(student.getStudentName());
        coursesDTO.setStudentRollNumber(student.getRollNumber());
        coursesDTO.setCourseList(student.getCourseLists());

        return coursesDTO;
    }
}
