package com.school.project.mapper;

import com.school.project.dto.student.StudentViewDataDTO;
import com.school.project.model.Student;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

@Component
public class StudentViewDataMapper {

    public StudentViewDataDTO modelToDto(Student student) {

        StudentViewDataDTO studentViewDataDTO = new StudentViewDataDTO();

        studentViewDataDTO.setName(student.getStudentName());
        studentViewDataDTO.setRollNumber(student.getRollNumber());
        studentViewDataDTO.setAge(student.getAge());

        return studentViewDataDTO;
    }
}
