package com.school.project.mapper;

import com.school.project.dto.teacher.TeacherViewCoursesDTO;
import com.school.project.model.Teacher;
import org.springframework.stereotype.Component;

@Component
public class TeacherViewCoursesMapper {

    public TeacherViewCoursesDTO modelToDTO(Teacher teacher) {
        TeacherViewCoursesDTO teacherViewCoursesDTO = new TeacherViewCoursesDTO();

        teacherViewCoursesDTO.setName(teacher.getName());
        teacherViewCoursesDTO.setTeacherNumber(teacher.getTeacherNumber());
        teacherViewCoursesDTO.setCourseList(teacher.getCourseList());

        return teacherViewCoursesDTO;
    }
}
