package com.school.project.mapper;

import com.school.project.dto.teacher.TeacherViewDataDTO;
import com.school.project.model.Teacher;
import org.springframework.stereotype.Component;

@Component
public class TeacherViewDataMapper {

    public TeacherViewDataDTO modelToDto(Teacher teacher) {

        TeacherViewDataDTO teacherViewDataDTO = new TeacherViewDataDTO();

        teacherViewDataDTO.setName(teacher.getName());
        teacherViewDataDTO.setTeacherNumber(teacher.getTeacherNumber());
        teacherViewDataDTO.setDegree(teacher.getDegree());
        teacherViewDataDTO.setDepartment(teacher.getDepartment());

        return teacherViewDataDTO;
    }
}
